<?php
/*
 * Class Name : GFHANNANSMS_Pro_{strtoupper( php file name) }	
 */
class GFHANNANSMS_Pro_MAXSMS_NEW {

	/*
	* Gateway title	
	*/
	public static function name($gateways) {
	
		$name = __('مکث اس ام اس (سامانه 1)', 'GF_SMS' );
		
		$gateway = array( strtolower( str_replace( 'GFHANNANSMS_Pro_', '', get_called_class())) => $name );
		return array_unique( array_merge( $gateways , $gateway ) );
	}
	
	
	/*
	* Gateway parameters
	*/
	public static function options(){
		return array(
			'username'  => __('نام کاربری','GF_SMS'),
			'password'  => __('کلمه عبور','GF_SMS')
		);
	}

	/*
	* Gateway credit
	*/
	public static function credit(){
		return true;
	}
	

	/*
	* Gateway action
	*/	
	public static function process( $options, $action, $from, $to, $messages ){
	
		if ( $action == 'credit' && !self::credit() ) {
			return false;
		}
		
		if ( ! extension_loaded('curl') )
			return __('ماژول cURL بر روی هاست شما فعال نمی باشد .','GF_SMS');
		
		
		$username = $options['username'];
		$password = $options['password'];
		
		$to = explode(',', $to);
		$i = sizeOf($to);
		while($i--){
			$uNumber = Trim($to[$i]);
			$ret = &$uNumber;
			if (substr($uNumber,0, 5) == '%2B98'){ 
				$ret = substr($uNumber, 5);
			}
			if (substr($uNumber,0, 5) == '%2b98'){ 
				$ret = substr($uNumber, 5);
			}
			if (substr($uNumber,0, 4) == '0098'){ 
				$ret = substr($uNumber, 4);
			}
			if (substr($uNumber,0, 3) == '098')	{ 
				$ret = substr($uNumber, 3);
			}
			if (substr($uNumber,0, 3) == '+98'){ 
				$ret = substr($uNumber, 3);
			}
			if (substr($uNumber,0, 2) == '98'){ 
				$ret = substr($uNumber, 2);
			}
			$to[$i] = $ret;
		}
		
		
		if ($action == "send"){
			
			$param = array(
				'uname'		=> $username,
				'pass'		=> $password,
				'from'		=> $from,
				'message'	=> $messages,
				'to'		=> json_encode($to),
				'op'		=>'send'
			);
					
			$handler = curl_init("37.130.202.188/services.jspd");             
			curl_setopt($handler, CURLOPT_CUSTOMREQUEST, "POST");
			curl_setopt($handler, CURLOPT_POSTFIELDS, $param);                       
			curl_setopt($handler, CURLOPT_RETURNTRANSFER, true);
			$response = json_decode(curl_exec($handler));
		
			$res_code = !empty($response[0]) ? $response[0] : 'false';
			$res_data = !empty($response[1]) ? $response[1] : 'false';
		
			if ( $res_code == 0 && is_numeric($res_data) )
				return 'OK';
			else 
				return $res_data;
		}
		
		if ($action == "credit") {
			
			$Parameters = array(
				'uname'	=> $username,
				'pass'	=> $password,
				'op'	=> 'credit'
			);
			
			$handler = curl_init("37.130.202.188/services.jspd");             
			curl_setopt($handler, CURLOPT_CUSTOMREQUEST, "POST");
			curl_setopt($handler, CURLOPT_POSTFIELDS, $Parameters);                       
			curl_setopt($handler, CURLOPT_RETURNTRANSFER, true);
			$response = json_decode(curl_exec($handler));
		
			$res_code = !empty($response[0]) ? $response[0] : 'false';
			$res_data = !empty($response[1]) ? $response[1] : 'false';
		
			if ( $res_code == 0 )
				return $res_data . __( ' ریال' , 'GF_SMS');
			else 
				return $res_data;
		}

		
		if ($action == "range"){
			$min = 20;
			$max = 100;
			return array("min" => $min, "max" => $max);
		}

	}
}